Package edu.uky.ai.tic.state

# Enum Player

java.lang.Object
java.lang.Enum<Player>
edu.uky.ai.tic.state.Player

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Player>`, `java.lang.constant.Constable`

    public enum Player
    extends java.lang.Enum<Player>

The two possible Tic Tac Toe players: X and O.

Author:
  Stephen G. Ware

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `O` |
  `X` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Player` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static Player[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### X

    public static final Player X

  - ### O

    public static final Player O

- ## Method Details

  - ### values

    public static Player[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Player valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null